// This work is licensed under the Creative Commons Attribution-ShareAlike 4.0
// International Public License.
// Visit https://creativecommons.org/licenses/by-sa/4.0/
// SPDX-License-Identifier: CC-BY-SA-4.0

// A v3.8 release compatible scene demonstrating why srgb channel values ouside
// the [0..1] range are a bad idea. The yuqk fork parser will generate a parse
// error where input channel values are outside the [0..1] range.

// NOTE! Run this with an official v3.8 POV-Ray release - not yuqk.

#version 3.8;
global_settings {assumed_gamma 1.0}

#declare RGBSun  = srgb 1.30*<2, 1.99, 1.97>;
#declare RGBSun_0 = rgb 1.30*<2, 1.99, 1.97>;
#declare RGBSun_1 = rgb 4.58*<2, 1.99, 1.97>;
#declare RGBSun_2 = srgb <2.0, 0.9, 0.8>;
#declare RGBSun_3 = srgb <2.0,-0.9,-1.8>;

#declare SRGBSun  = srgb <1.0, 0.45, 0.4>;
#declare RGBSun_4 = 9.16*SRGBSun;

#debug "\n"
#debug concat("srgb 1.30*<2, 1.99, 1.97> = rgb <",
    vstr(3,RGBSun,",", 0,-1),">\n")
#debug concat("rgb  1.30*<2, 1.99, 1.97> = rgb <",
    vstr(3,RGBSun_0,",", 0,-1),">\n")
#debug concat("rgb  4.58*<2, 1.99, 1.97> = rgb <",
    vstr(3,RGBSun_1,",", 0,-1),">\n")
#debug concat("srgb      <2.0, 0.9, 0.8> = rgb <",
    vstr(3,RGBSun_2,",", 0,-1),">\n")
#debug concat("srgb      <2.0,-0.9,-1.8> = rgb <",
    vstr(3,RGBSun_3,",", 0,-1),">\n")
#debug "\n"
#debug concat("9.16*SRGBSun              = rgb <",
    vstr(3,RGBSun_4,",", 0,-1),">\n")
#debug "\n"

#error "Parsing test. Stop early."
//---

// POV-Ray newsgroup references.

// https://news.povray.org/povray.binaries.programming/thread/%3C60b2aaf6%40news.povray.org%3E/

// Web Message: <60b2aaf6@news.povray.org>
// https://news.povray.org/60b2aaf6@news.povray.org

